package ru.voxile.battleleague.comboplugin.api.common;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * Статус комнаты ожидания.
 */
@Getter
@RequiredArgsConstructor
public enum RoomStatus {

    /**
     * Игроки собираются в комнате и ожидают начала игры.
     * Сама игра ещё не запланирована, возможно, ещё недостаточно
     * игроков собралось или отсутствуют конкуренты.
     */
    WAITING("Ожидание игроков"),

    /**
     * Собралось достаточно игроков и команд, производится запуск сервера.
     * Ожидание его готовности.
     */
    STARTING("Запуск сервера"),

    /**
     * Сервер успешно запущен, игроки должны быть отправлены на него.
     */
    RUNNING("Идёт игра"),

    /**
     * Игра завершается, производится остановка сервера.
     * Игроки должны быть телепортированы с этого сервера обратно в лобби.
     */
    STOPPING("Остановка сервера"),

    /**
     * Игра была завершена. Это конечный статус.
     */
    FINISHED("Завершена"),
    ;

    private final String caption;
}
